%define gitref     763ebd2
Name:           kcm_touchpad
Version:        0.2.95
Summary:        Touchpad Configuration GUI for KDE
Release:        %mkrel 2
License:        GPL
Group:          Graphical desktop/KDE
URL:            http://github.com/mishaaq/kcm_touchpad
Source0:        mishaaq-%name-%gitref.tar.gz
#Patch0:         synaptic-1.1.3.patch

# (bor) fix setting of boolean properties on startup
# Patch100:	fix_boolean_properties_on_startup.patch
# (bor) fix saving/restoring of CoastingSpeed state
# Patch101:	fix_scroll_coasting.patch

BuildRoot:      %_tmppath/%name-%version-buildroot
BuildRequires:  kdelibs4-devel
BuildRequires:  x11-driver-input-synaptics-devel

Requires:       kdebase4-runtime

%description
Touchpad Configuration GUI for KDE

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_kde_libdir}/kde4/kcm_touchpad.so
%{_kde_datadir}/kde4/services/touchpad.desktop

#-----------------------------------------------------------------------------

%prep
%setup -q -n mishaaq-%name-%gitref
%apply_patches

%build

%cmake_kde4

%make


%install
rm -rf %buildroot
%makeinstall_std -C build

rm -f %{buildroot}%{_docdir}/%{name}/*

%find_lang %name

%clean
rm -rf %{buildroot}



%changelog
* Sun Oct 25 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.2.95-2mdv2010.0
+ Revision: 459235
- new GIT snapshot - fix CoastingSpeed restore on KDE startup
- new GIT snapshot - fix buttons sometimes disabed on startup

* Fri Oct 23 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.2.95-0.1mdv2010.0
+ Revision: 459056
- properly package translation files
- disable patch0 - seems to build fine without it
- remove patch101 - modified version upstream
- remove patch100 - integrated upstream
- new GIT snapshot - post 0.2.95

* Sat Oct 17 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.2-0.3mdv2010.0
+ Revision: 458037
- patch101: fix saving/restoring of CoastingSpeed
- patch100: fix setting of boolean properties on startup. Most notably it broke tapping

  + Colin Guthrie <cguthrie@mandriva.org>
    - New upstream snapshot

* Fri Oct 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-0.1mdv2010.0
+ Revision: 457821
- Fix minimum requires

  + Colin Guthrie <cguthrie@mandriva.org>
    - import kcm_touchpad

